Index: uspace/srv/net/il/ip/ip_client.c
===================================================================
--- uspace/srv/net/il/ip/ip_client.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/il/ip/ip_client.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -48,64 +48,80 @@
 #include "ip_header.h"
 
-int ip_client_prepare_packet( packet_t packet, ip_protocol_t protocol, ip_ttl_t ttl, ip_tos_t tos, int dont_fragment, size_t ipopt_length ){
-	ip_header_ref	header;
-	uint8_t *		data;
-	size_t			padding;
+int ip_client_prepare_packet(packet_t packet, ip_protocol_t protocol, ip_ttl_t ttl, ip_tos_t tos, int dont_fragment, size_t ipopt_length){
+	ip_header_ref header;
+	uint8_t * data;
+	size_t padding;
 
 	padding =  ipopt_length % 4;
-	if( padding ){
+	if(padding){
 		padding = 4 - padding;
 		ipopt_length += padding;
 	}
-	data = ( uint8_t * ) packet_prefix( packet, sizeof( ip_header_t ) + padding );
-	if( ! data ) return ENOMEM;
-	while( padding -- ) data[ sizeof( ip_header_t ) + padding ] = IPOPT_NOOP;
-	header = ( ip_header_ref ) data;
-	header->header_length = IP_COMPUTE_HEADER_LENGTH( sizeof( ip_header_t ) + ipopt_length );
-	header->ttl = ( ttl ? ttl : IPDEFTTL ); //((( ttl ) <= MAXTTL ) ? ttl : MAXTTL ) : IPDEFTTL;
+	data = (uint8_t *) packet_prefix(packet, sizeof(ip_header_t) + padding);
+	if(! data){
+		return ENOMEM;
+	}
+	while(padding --){
+		data[sizeof(ip_header_t) + padding] = IPOPT_NOOP;
+	}
+	header = (ip_header_ref) data;
+	header->header_length = IP_COMPUTE_HEADER_LENGTH(sizeof(ip_header_t) + ipopt_length);
+	header->ttl = (ttl ? ttl : IPDEFTTL); //(((ttl) <= MAXTTL) ? ttl : MAXTTL) : IPDEFTTL;
 	header->tos = tos;
 	header->protocol = protocol;
-	if( dont_fragment ) header->flags = IPFLAG_DONT_FRAGMENT;
+	if(dont_fragment){
+		header->flags = IPFLAG_DONT_FRAGMENT;
+	}
 	return EOK;
 }
 
-int ip_client_process_packet( packet_t packet, ip_protocol_t * protocol, ip_ttl_t * ttl, ip_tos_t * tos, int * dont_fragment, size_t * ipopt_length ){
-	ip_header_ref	header;
+int ip_client_process_packet(packet_t packet, ip_protocol_t * protocol, ip_ttl_t * ttl, ip_tos_t * tos, int * dont_fragment, size_t * ipopt_length){
+	ip_header_ref header;
 
-	header = ( ip_header_ref ) packet_get_data( packet );
-	if(( ! header )
-	|| ( packet_get_data_length( packet ) < sizeof( ip_header_t ))){
+	header = (ip_header_ref) packet_get_data(packet);
+	if((! header)
+		|| (packet_get_data_length(packet) < sizeof(ip_header_t))){
 		return ENOMEM;
 	}
-	if( protocol ) * protocol = header->protocol;
-	if( ttl ) * ttl = header->ttl;
-	if( tos ) * tos = header->tos;
-	if( dont_fragment ) * dont_fragment = header->flags & IPFLAG_DONT_FRAGMENT;
-	if( ipopt_length ){
-		* ipopt_length = IP_HEADER_LENGTH( header ) - sizeof( ip_header_t );
-		return sizeof( ip_header_t );
+	if(protocol){
+		*protocol = header->protocol;
+	}
+	if(ttl){
+		*ttl = header->ttl;
+	}
+	if(tos){
+		*tos = header->tos;
+	}
+	if(dont_fragment){
+		*dont_fragment = header->flags &IPFLAG_DONT_FRAGMENT;
+	}
+	if(ipopt_length){
+		*ipopt_length = IP_HEADER_LENGTH(header) - sizeof(ip_header_t);
+		return sizeof(ip_header_t);
 	}else{
-		return IP_HEADER_LENGTH( header );
+		return IP_HEADER_LENGTH(header);
 	}
 }
 
-size_t ip_client_header_length( packet_t packet ){
-	ip_header_ref	header;
+size_t ip_client_header_length(packet_t packet){
+	ip_header_ref header;
 
-	header = ( ip_header_ref ) packet_get_data( packet );
-	if(( ! header )
-	|| ( packet_get_data_length( packet ) < sizeof( ip_header_t ))){
+	header = (ip_header_ref) packet_get_data(packet);
+	if((! header)
+		|| (packet_get_data_length(packet) < sizeof(ip_header_t))){
 		return 0;
 	}
-	return IP_HEADER_LENGTH( header );
+	return IP_HEADER_LENGTH(header);
 }
 
-int ip_client_set_pseudo_header_data_length( ip_pseudo_header_ref header, size_t headerlen, size_t data_length ){
-	ipv4_pseudo_header_ref	header_in;
+int ip_client_set_pseudo_header_data_length(ip_pseudo_header_ref header, size_t headerlen, size_t data_length){
+	ipv4_pseudo_header_ref header_in;
 
-	if( ! header ) return EBADMEM;
-	if( headerlen == sizeof( ipv4_pseudo_header_t )){
-		header_in = ( ipv4_pseudo_header_ref ) header;
-		header_in->data_length = htons( data_length );
+	if(! header){
+		return EBADMEM;
+	}
+	if(headerlen == sizeof(ipv4_pseudo_header_t)){
+		header_in = (ipv4_pseudo_header_ref) header;
+		header_in->data_length = htons(data_length);
 		return EOK;
 	}else{
@@ -114,29 +130,39 @@
 }
 
-int ip_client_get_pseudo_header( ip_protocol_t protocol, struct sockaddr * src, socklen_t srclen, struct sockaddr * dest, socklen_t destlen, size_t data_length, ip_pseudo_header_ref * header, size_t * headerlen ){
-	ipv4_pseudo_header_ref	header_in;
-	struct sockaddr_in *	address_in;
+int ip_client_get_pseudo_header(ip_protocol_t protocol, struct sockaddr * src, socklen_t srclen, struct sockaddr * dest, socklen_t destlen, size_t data_length, ip_pseudo_header_ref * header, size_t * headerlen){
+	ipv4_pseudo_header_ref header_in;
+	struct sockaddr_in * address_in;
 
-	if( !( header && headerlen )) return EBADMEM;
-	if( !( src && dest && ( srclen > 0 ) && (( size_t ) srclen >= sizeof( struct sockaddr )) && ( srclen == destlen ) && ( src->sa_family == dest->sa_family ))) return EINVAL;
-	switch( src->sa_family ){
+	if(!(header && headerlen)){
+		return EBADMEM;
+	}
+	if(!(src && dest && (srclen > 0) && ((size_t) srclen >= sizeof(struct sockaddr)) && (srclen == destlen) && (src->sa_family == dest->sa_family))){
+		return EINVAL;
+	}
+	switch(src->sa_family){
 		case AF_INET:
-			if( srclen != sizeof( struct sockaddr_in )) return EINVAL;
-			* headerlen = sizeof( * header_in );
-			header_in = ( ipv4_pseudo_header_ref ) malloc( * headerlen );
-			if( ! header_in ) return ENOMEM;
-			bzero( header_in, * headerlen );
-			address_in = ( struct sockaddr_in * ) dest;
+			if(srclen != sizeof(struct sockaddr_in)){
+				return EINVAL;
+			}
+			*headerlen = sizeof(*header_in);
+			header_in = (ipv4_pseudo_header_ref) malloc(*headerlen);
+			if(! header_in){
+				return ENOMEM;
+			}
+			bzero(header_in, * headerlen);
+			address_in = (struct sockaddr_in *) dest;
 			header_in->destination_address = address_in->sin_addr.s_addr;
-			address_in = ( struct sockaddr_in * ) src;
+			address_in = (struct sockaddr_in *) src;
 			header_in->source_address = address_in->sin_addr.s_addr;
 			header_in->protocol = protocol;
-			header_in->data_length = htons( data_length );
-			* header = ( ip_pseudo_header_ref ) header_in;
+			header_in->data_length = htons(data_length);
+			*header = (ip_pseudo_header_ref) header_in;
 			return EOK;
 		// TODO IPv6
 /*		case AF_INET6:
-			if( addrlen != sizeof( struct sockaddr_in6 )) return EINVAL;
-			address_in6 = ( struct sockaddr_in6 * ) addr;
+			if(addrlen != sizeof(struct sockaddr_in6)){
+				return EINVAL;
+			}
+			address_in6 = (struct sockaddr_in6 *) addr;
 			return EOK;
 */		default:
Index: uspace/srv/net/il/ip/ip_remote.c
===================================================================
--- uspace/srv/net/il/ip/ip_remote.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/il/ip/ip_remote.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -52,62 +52,66 @@
 #include "ip_messages.h"
 
-int ip_device_req( int ip_phone, device_id_t device_id, services_t service ){
-	return generic_device_req( ip_phone, NET_IL_DEVICE, device_id, 0, service );
+int ip_device_req(int ip_phone, device_id_t device_id, services_t service){
+	return generic_device_req(ip_phone, NET_IL_DEVICE, device_id, 0, service);
 }
 
-int ip_send_msg( int ip_phone, device_id_t device_id, packet_t packet, services_t sender, services_t error ){
-	return generic_send_msg( ip_phone, NET_IL_SEND, device_id, packet_get_id( packet ), sender, error );
+int ip_send_msg(int ip_phone, device_id_t device_id, packet_t packet, services_t sender, services_t error){
+	return generic_send_msg(ip_phone, NET_IL_SEND, device_id, packet_get_id(packet), sender, error);
 }
 
-int ip_connect_module( services_t service ){
-	return connect_to_service( SERVICE_IP );
+int ip_connect_module(services_t service){
+	return connect_to_service(SERVICE_IP);
 }
 
-int ip_add_route_req( int ip_phone, device_id_t device_id, in_addr_t address, in_addr_t netmask, in_addr_t gateway ){
-	return ( int ) async_req_4_0( ip_phone, NET_IP_ADD_ROUTE, ( ipcarg_t ) device_id, ( ipcarg_t ) gateway.s_addr, ( ipcarg_t ) address.s_addr, ( ipcarg_t ) netmask.s_addr );
+int ip_add_route_req(int ip_phone, device_id_t device_id, in_addr_t address, in_addr_t netmask, in_addr_t gateway){
+	return (int) async_req_4_0(ip_phone, NET_IP_ADD_ROUTE, (ipcarg_t) device_id, (ipcarg_t) gateway.s_addr, (ipcarg_t) address.s_addr, (ipcarg_t) netmask.s_addr);
 }
 
-int ip_set_gateway_req( int ip_phone, device_id_t device_id, in_addr_t gateway ){
-	return ( int ) async_req_2_0( ip_phone, NET_IP_SET_GATEWAY, ( ipcarg_t ) device_id, ( ipcarg_t ) gateway.s_addr );
+int ip_set_gateway_req(int ip_phone, device_id_t device_id, in_addr_t gateway){
+	return (int) async_req_2_0(ip_phone, NET_IP_SET_GATEWAY, (ipcarg_t) device_id, (ipcarg_t) gateway.s_addr);
 }
 
-int ip_packet_size_req( int ip_phone, device_id_t device_id, packet_dimension_ref packet_dimension ){
-	return generic_packet_size_req( ip_phone, NET_IL_PACKET_SPACE, device_id, packet_dimension );
+int ip_packet_size_req(int ip_phone, device_id_t device_id, packet_dimension_ref packet_dimension){
+	return generic_packet_size_req(ip_phone, NET_IL_PACKET_SPACE, device_id, packet_dimension);
 }
 
-int ip_bind_service( services_t service, int protocol, services_t me, async_client_conn_t receiver, tl_received_msg_t tl_received_msg ){
-	return ( int ) bind_service( service, ( ipcarg_t ) protocol, me, service, receiver );
+int ip_bind_service(services_t service, int protocol, services_t me, async_client_conn_t receiver, tl_received_msg_t tl_received_msg){
+	return (int) bind_service(service, (ipcarg_t) protocol, me, service, receiver);
 }
 
-int ip_received_error_msg( int ip_phone, device_id_t device_id, packet_t packet, services_t target, services_t error ){
-	return generic_received_msg( ip_phone, NET_IP_RECEIVED_ERROR, device_id, packet_get_id( packet ), target, error );
+int ip_received_error_msg(int ip_phone, device_id_t device_id, packet_t packet, services_t target, services_t error){
+	return generic_received_msg(ip_phone, NET_IP_RECEIVED_ERROR, device_id, packet_get_id(packet), target, error);
 }
 
-int ip_get_route_req( int ip_phone, ip_protocol_t protocol, const struct sockaddr * destination, socklen_t addrlen, device_id_t * device_id, ip_pseudo_header_ref * header, size_t * headerlen ){
-	aid_t			message_id;
-	ipcarg_t		result;
-	ipc_call_t		answer;
+int ip_get_route_req(int ip_phone, ip_protocol_t protocol, const struct sockaddr * destination, socklen_t addrlen, device_id_t * device_id, ip_pseudo_header_ref * header, size_t * headerlen){
+	aid_t message_id;
+	ipcarg_t result;
+	ipc_call_t answer;
 
-	if( !( destination && ( addrlen > 0 ))) return EINVAL;
-	if( !( device_id && header && headerlen )) return EBADMEM;
-	* header = NULL;
-	message_id = async_send_1( ip_phone, NET_IP_GET_ROUTE, ( ipcarg_t ) protocol, & answer );
-	if(( async_data_write_start( ip_phone, destination, addrlen ) == EOK )
-	&& ( async_data_read_start( ip_phone, headerlen, sizeof( * headerlen )) == EOK )
-	&& ( * headerlen > 0 )){
-		* header = ( ip_pseudo_header_ref ) malloc( * headerlen );
-		if( * header ){
-			if( async_data_read_start( ip_phone, * header, * headerlen ) != EOK ){
-				free( * header );
+	if(!(destination && (addrlen > 0))){
+		return EINVAL;
+	}
+	if(!(device_id && header && headerlen)){
+		return EBADMEM;
+	}
+	*header = NULL;
+	message_id = async_send_1(ip_phone, NET_IP_GET_ROUTE, (ipcarg_t) protocol, &answer);
+	if((async_data_write_start(ip_phone, destination, addrlen) == EOK)
+		&& (async_data_read_start(ip_phone, headerlen, sizeof(*headerlen)) == EOK)
+		&& (*headerlen > 0)){
+		*header = (ip_pseudo_header_ref) malloc(*headerlen);
+		if(*header){
+			if(async_data_read_start(ip_phone, * header, * headerlen) != EOK){
+				free(*header);
 			}
 		}
 	}
-	async_wait_for( message_id, & result );
-	if(( result != EOK ) && ( * header )){
-		free( * header );
+	async_wait_for(message_id, &result);
+	if((result != EOK) && (*header)){
+		free(*header);
 	}else{
-		* device_id = IPC_GET_DEVICE( & answer );
+		*device_id = IPC_GET_DEVICE(&answer);
 	}
-	return ( int ) result;
+	return (int) result;
 }
 
Index: uspace/srv/net/include/socket.h
===================================================================
--- uspace/srv/net/include/socket.h	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/include/socket.h	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -61,8 +61,9 @@
  *  @returns EPROTONOSUPPORT if the protocol is not supported.
  *  @returns ENOMEM if there is not enough memory left.
+ *  @returns ELIMIT if there was not a free socket identifier found this time.
  *  @returns Other error codes as defined for the NET_SOCKET message.
  *  @returns Other error codes as defined for the bind_service_timeout() function.
  */
-int	socket( int domain, int type, int protocol );
+int socket(int domain, int type, int protocol);
 
 /** Binds the socket to a port address.
@@ -76,5 +77,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_BIND message.
  */
-int	bind( int socket_id, const struct sockaddr * my_addr, socklen_t addrlen );
+int bind(int socket_id, const struct sockaddr * my_addr, socklen_t addrlen);
 
 /** Sets the number of connections waiting to be accepted.
@@ -86,5 +87,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_LISTEN message.
  */
-int	listen( int socket_id, int backlog );
+int listen(int socket_id, int backlog);
 
 /** Accepts waiting socket.
@@ -99,5 +100,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_ACCEPT message.
  */
-int	accept( int socket_id, struct sockaddr * cliaddr, socklen_t * addrlen );
+int accept(int socket_id, struct sockaddr * cliaddr, socklen_t * addrlen);
 
 /** Connects socket to the remote server.
@@ -111,5 +112,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_CONNECT message.
  */
-int	connect( int socket_id, const struct sockaddr * serv_addr, socklen_t addrlen );
+int connect(int socket_id, const struct sockaddr * serv_addr, socklen_t addrlen);
 
 /** Closes the socket.
@@ -120,5 +121,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_CLOSE message.
  */
-int	closesocket( int socket_id );
+int closesocket(int socket_id);
 
 /** Sends data via the socket.
@@ -133,5 +134,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_SEND message.
  */
-int send( int socket_id, void * data, size_t datalength, int flags );
+int send(int socket_id, void * data, size_t datalength, int flags);
 
 /** Sends data via the socket to the remote address.
@@ -149,5 +150,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_SENDTO message.
  */
-int sendto( int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen );
+int sendto(int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen);
 
 /** Receives data via the socket.
@@ -162,5 +163,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_RECV message.
  */
-int recv( int socket_id, void * data, size_t datalength, int flags );
+int recv(int socket_id, void * data, size_t datalength, int flags);
 
 /** Receives data via the socket.
@@ -177,5 +178,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_RECVFROM message.
  */
-int recvfrom( int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen );
+int recvfrom(int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen);
 
 /** Gets socket option.
@@ -191,5 +192,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_GETSOCKOPT message.
  */
-int	getsockopt( int socket_id, int level, int optname, void * value, size_t * optlen );
+int getsockopt(int socket_id, int level, int optname, void * value, size_t * optlen);
 
 /** Sets socket option.
@@ -205,5 +206,5 @@
  *  @returns Other error codes as defined for the NET_SOCKET_SETSOCKOPT message.
  */
-int	setsockopt( int socket_id, int level, int optname, const void * value, size_t optlen );
+int setsockopt(int socket_id, int level, int optname, const void * value, size_t optlen);
 
 /*@}*/
Index: uspace/srv/net/inet.c
===================================================================
--- uspace/srv/net/inet.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/inet.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -45,16 +45,18 @@
 #include "include/socket_codes.h"
 
-int inet_pton( uint16_t family, const char * address, uint8_t * data ){
-	const char *	next;
-	char *			last;
-	int				index;
-	int				count;
-	int				base;
-	size_t			bytes;
-	size_t			shift;
-	unsigned long	value;
+int inet_pton(uint16_t family, const char * address, uint8_t * data){
+	const char * next;
+	char * last;
+	int index;
+	int count;
+	int base;
+	size_t bytes;
+	size_t shift;
+	unsigned long value;
 
-	if( ! data ) return EINVAL;
-	switch( family ){
+	if(! data){
+		return EINVAL;
+	}
+	switch(family){
 		case AF_INET:
 			count = 4;
@@ -70,6 +72,6 @@
 			return ENOTSUP;
 	}
-	if( ! address ){
-		bzero( data, count );
+	if(! address){
+		bzero(data, count);
 		return ENOENT;
 	}
@@ -77,33 +79,44 @@
 	index = 0;
 	do{
-		if( next && ( * next )){
-			if( index ) ++ next;
-			value = strtoul( next, & last, base );
+		if(next && (*next)){
+			if(index){
+				++ next;
+			}
+			value = strtoul(next, &last, base);
 			next = last;
 			shift = bytes - 1;
 			do{
 				// like little endian
-				data[ index + shift ] = value;
+				data[index + shift] = value;
 				value >>= 8;
-			}while( shift -- );
+			}while(shift --);
 			index += bytes;
 		}else{
-			bzero( data + index, count - index );
+			bzero(data + index, count - index);
 			return EOK;
 		}
-	}while( index < count );
+	}while(index < count);
 	return EOK;
 }
 
-int inet_ntop( uint16_t family, const uint8_t * data, char * address, size_t length ){
-	if(( ! data ) || ( ! address ))	return EINVAL;
-	switch( family ){
-		case AF_INET:	if( length < INET_ADDRSTRLEN ) return ENOMEM;
-						snprintf( address, length, "%hhu.%hhu.%hhu.%hhu", data[ 0 ], data[ 1 ], data[ 2 ], data[ 3 ] );
-						return EOK;
-		case AF_INET6:	if( length < INET6_ADDRSTRLEN ) return ENOMEM;
-						snprintf( address, length, "%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx", data[ 0 ], data[ 1 ], data[ 2 ], data[ 3 ], data[ 4 ], data[ 5 ], data[ 6 ], data[ 7 ], data[ 8 ], data[ 9 ], data[ 10 ], data[ 11 ], data[ 12 ], data[ 13 ], data[ 14 ], data[ 15 ] );
-						return EOK;
-		default:		return ENOTSUP;
+int inet_ntop(uint16_t family, const uint8_t * data, char * address, size_t length){
+	if((! data) || (! address)){
+		return EINVAL;
+	}
+	switch(family){
+		case AF_INET:
+			if(length < INET_ADDRSTRLEN){
+				return ENOMEM;
+			}
+			snprintf(address, length, "%hhu.%hhu.%hhu.%hhu", data[0], data[1], data[2], data[3]);
+			return EOK;
+		case AF_INET6:
+			if(length < INET6_ADDRSTRLEN){
+				return ENOMEM;
+			}
+			snprintf(address, length, "%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx:%hhx%hhx", data[0], data[1], data[2], data[3], data[4], data[5], data[6], data[7], data[8], data[9], data[10], data[11], data[12], data[13], data[14], data[15]);
+			return EOK;
+		default:
+			return ENOTSUP;
 	}
 }
